summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAustin English <wizardedit@gentoo.org>2016-07-07 16:41:05 -0500
committerAustin English <wizardedit@gentoo.org>2016-07-07 17:50:45 -0500
commitb33bf2682b7dbe0f66f26d580c62f9b7d20517b3 (patch)
tree881fa888ebfb37ac0ded1f4cd503bb7d72b11b11 /www-apache
parentwww-apps/hiawatha-monitor: bump to EAPI 6, add maintainer-needed (diff)
downloadgentoo-b33bf2682b7dbe0f66f26d580c62f9b7d20517b3.tar.gz
gentoo-b33bf2682b7dbe0f66f26d580c62f9b7d20517b3.tar.bz2
gentoo-b33bf2682b7dbe0f66f26d580c62f9b7d20517b3.zip
www-apache/mod_nss: bump to EAPI 6, add maintainer-needed
Package-Manager: portage-2.2.28
Diffstat (limited to 'www-apache')
-rw-r--r--www-apache/mod_nss/metadata.xml1
-rw-r--r--www-apache/mod_nss/mod_nss-1.0.12-r1.ebuild63
2 files changed, 64 insertions, 0 deletions
diff --git a/www-apache/mod_nss/metadata.xml b/www-apache/mod_nss/metadata.xml
index 743b5c920d3..e88185d1d14 100644
--- a/www-apache/mod_nss/metadata.xml
+++ b/www-apache/mod_nss/metadata.xml
@@ -1,6 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
+<!-- maintainer-needed -->
<use>
<flag name="ecc">enable Elliptical Curve Cyptography</flag>
</use>
diff --git a/www-apache/mod_nss/mod_nss-1.0.12-r1.ebuild b/www-apache/mod_nss/mod_nss-1.0.12-r1.ebuild
new file mode 100644
index 00000000000..d1c713516ce
--- /dev/null
+++ b/www-apache/mod_nss/mod_nss-1.0.12-r1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit autotools apache-module eutils
+
+DESCRIPTION="SSL/TLS module for the Apache HTTP server"
+HOMEPAGE="https://fedorahosted.org/mod_nss/"
+SRC_URI="https://fedorahosted.org/released/mod_nss/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+ecc"
+
+DEPEND="
+ >=dev-libs/nspr-4.6.4
+ >=dev-libs/nss-3.11.4
+ sys-apps/sed
+ virtual/pkgconfig
+"
+RDEPEND="
+ >=dev-libs/nspr-4.6.4
+ >=dev-libs/nss-3.11.4
+ net-dns/bind-tools
+"
+
+APACHE2_MOD_CONF="47_${PN}"
+APACHE2_MOD_DEFINE="NSS"
+
+DOCFILES="NOTICE README"
+
+need_apache2
+
+src_prepare() {
+ default
+
+ # setup proper exec name
+ sed -i -e 's/certutil/nsscertutil/' gencert.in || die "sed failed"
+ eautoreconf
+}
+
+src_configure() {
+ econf $(use_enable ecc) --with-apxs=${APXS}
+}
+
+src_compile() {
+ # default src_compile fails:
+ # In file included from mod_nss.c:16:0:
+ # mod_nss.h:51:18: fatal error: nspr.h: No such file or directory
+ emake
+}
+
+src_install() {
+ # override broken build system
+ mv .libs/libmodnss.so .libs/"${PN}".so || die "cannot move lib"
+ dosbin gencert nss_pcache
+ dodoc docs/mod_nss.html
+ newbin migrate.pl nss_migrate
+ dodir /etc/apache2/nss
+ apache-module_src_install
+}